Ticket #44663

Qt citydlg.cpp: bold() header not marked for doxygen

Eröffnet am: 2022-05-25 15:36 Letztes Update: 2022-06-12 09:48

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
1

Details

Qt-client's citydlg.cpp has "Qstring bold()" function. It's function header does not have "**//**" -marking.

Ticket-Verlauf (3/5 Historien)

2022-05-25 15:36 Aktualisiert von: cazfi
  • New Ticket "Qt citydlg.cpp: bold() header not marked for doxygen " created
2022-05-25 15:48 Aktualisiert von: cazfi
Kommentar

Also helpdlg.cpp has some methods lacking the doxygen marking.

2022-06-07 12:16 Aktualisiert von: cazfi
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Keine to Accepted
  • Meilenstein Update from (Keine) to 3.1.0 (closed)
Kommentar

Attached patch also removes declaration of 'bold()' from the header, as it's not used outside the module and namespace-wise it's better not to have so generic name reserved.

2022-06-12 09:48 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Lösung Update from Accepted to Gefixt

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden